---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  annotations:
    include.release.openshift.io/self-managed-high-availability: "true"
  creationTimestamp: "2022-03-08T10:14:03Z"
  generation: 1
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:include.release.openshift.io/self-managed-high-availability: {}
      f:spec:
        .: {}
        f:endpoints: {}
        f:jobLabel: {}
        f:namespaceSelector:
          .: {}
          f:matchNames: {}
        f:selector:
          .: {}
          f:matchLabels:
            .: {}
            f:app: {}
    manager: cluster-version-operator
    operation: Update
    time: "2022-03-08T10:14:03Z"
  name: config-operator
  namespace: openshift-config-operator
  resourceVersion: "1332"
  selfLink: /apis/monitoring.coreos.com/v1/namespaces/openshift-config-operator/servicemonitors/config-operator
  uid: 750e01f0-ed38-4fb6-8c9b-a9431457f002
spec:
  endpoints:
  - bearerTokenFile: /var/run/secrets/kubernetes.io/serviceaccount/token
    interval: 30s
    port: https
    scheme: https
    tlsConfig:
      caFile: /etc/prometheus/configmaps/serving-certs-ca-bundle/service-ca.crt
      serverName: metrics.openshift-config-operator.svc
  jobLabel: component
  namespaceSelector:
    matchNames:
    - openshift-config-operator
  selector:
    matchLabels:
      app: openshift-config-operator
